<Activity mc:Ignorable="sap sap2010" x:Class="Complete_Tabs_Expenses_ITC_SDC_Usage" xmlns="http://schemas.microsoft.com/netfx/2009/xaml/activities" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:mva="clr-namespace:Microsoft.VisualBasic.Activities;assembly=System.Activities" xmlns:s="clr-namespace:System;assembly=mscorlib" xmlns:sap="http://schemas.microsoft.com/netfx/2009/xaml/activities/presentation" xmlns:sap2010="http://schemas.microsoft.com/netfx/2010/xaml/activities/presentation" xmlns:scg="clr-namespace:System.Collections.Generic;assembly=mscorlib" xmlns:sd="clr-namespace:System.Data;assembly=System.Data" xmlns:ui="http://schemas.uipath.com/workflow/activities" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
  <x:Members>
    <x:Property Name="processStep" Type="OutArgument(x:String)" />
    <x:Property Name="in_Row" Type="InArgument(sd:DataRow)" />
  </x:Members>
  <sap:VirtualizedContainerService.HintSize>791.333333333333,1653.33333333333</sap:VirtualizedContainerService.HintSize>
  <sap2010:WorkflowViewState.IdRef>ActivityBuilder_1</sap2010:WorkflowViewState.IdRef>
  <TextExpression.NamespacesForImplementation>
    <scg:List x:TypeArguments="x:String" Capacity="26">
      <x:String>System.Activities</x:String>
      <x:String>System.Activities.Statements</x:String>
      <x:String>System</x:String>
      <x:String>System.Collections</x:String>
      <x:String>System.Collections.Generic</x:String>
      <x:String>System.Data</x:String>
      <x:String>UiPath.Core</x:String>
      <x:String>UiPath.Core.Activities</x:String>
      <x:String>System.Activities.DynamicUpdate</x:String>
      <x:String>System.Runtime.Serialization</x:String>
      <x:String>System.Collections.ObjectModel</x:String>
      <x:String>System.ComponentModel</x:String>
      <x:String>System.Reflection</x:String>
      <x:String>System.Runtime.InteropServices</x:String>
      <x:String>System.Xml.Serialization</x:String>
      <x:String>System.Activities.Expressions</x:String>
      <x:String>System.Diagnostics</x:String>
      <x:String>System.Drawing</x:String>
      <x:String>System.Linq</x:String>
      <x:String>System.Xml</x:String>
      <x:String>System.Xml.Linq</x:String>
      <x:String>System.IO</x:String>
      <x:String>System.Net.Mail</x:String>
      <x:String>Microsoft.VisualBasic</x:String>
      <x:String>UiPath.Excel</x:String>
      <x:String>UiPath.Excel.Activities</x:String>
    </scg:List>
  </TextExpression.NamespacesForImplementation>
  <TextExpression.ReferencesForImplementation>
    <scg:List x:TypeArguments="AssemblyReference" Capacity="34">
      <AssemblyReference>System.Activities</AssemblyReference>
      <AssemblyReference>Microsoft.VisualBasic</AssemblyReference>
      <AssemblyReference>mscorlib</AssemblyReference>
      <AssemblyReference>System.Data</AssemblyReference>
      <AssemblyReference>System</AssemblyReference>
      <AssemblyReference>System.Drawing</AssemblyReference>
      <AssemblyReference>System.Core</AssemblyReference>
      <AssemblyReference>System.Xml</AssemblyReference>
      <AssemblyReference>System.Xml.Linq</AssemblyReference>
      <AssemblyReference>PresentationFramework</AssemblyReference>
      <AssemblyReference>WindowsBase</AssemblyReference>
      <AssemblyReference>PresentationCore</AssemblyReference>
      <AssemblyReference>System.Xaml</AssemblyReference>
      <AssemblyReference>System.ComponentModel.Composition</AssemblyReference>
      <AssemblyReference>System.ServiceModel</AssemblyReference>
      <AssemblyReference>Microsoft.VisualStudio.Services.Common</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities</AssemblyReference>
      <AssemblyReference>UiPath.UiAutomation.Activities</AssemblyReference>
      <AssemblyReference>UiPath.Excel</AssemblyReference>
      <AssemblyReference>UiPath.Mail</AssemblyReference>
      <AssemblyReference>System.ValueTuple</AssemblyReference>
      <AssemblyReference>UiPath.Studio.Plugin.Workflow</AssemblyReference>
      <AssemblyReference>UiPath.Cryptography</AssemblyReference>
      <AssemblyReference>System.Collections.Immutable</AssemblyReference>
      <AssemblyReference>System.Runtime.Serialization</AssemblyReference>
      <AssemblyReference>Microsoft.Bcl.AsyncInterfaces</AssemblyReference>
      <AssemblyReference>System.Memory</AssemblyReference>
      <AssemblyReference>UiPath.OCR.Activities.Design</AssemblyReference>
      <AssemblyReference>UiPath.UIAutomationCore</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities.Design</AssemblyReference>
      <AssemblyReference>System.Data.DataSetExtensions</AssemblyReference>
      <AssemblyReference>UiPath.Excel.Activities</AssemblyReference>
      <AssemblyReference>System.ServiceModel.Activities</AssemblyReference>
      <AssemblyReference>System.Runtime.WindowsRuntime</AssemblyReference>
    </scg:List>
  </TextExpression.ReferencesForImplementation>
  <Sequence sap2010:Annotation.AnnotationText="Based on the input file for this project it is expected that only one row in each tab should be completed - Row index in Salesforce is 2 for the first row. Row Index value is hard coded in arguments for invoked workflows " DisplayName="Complete details in tabs: Expenses, ITC, SDC, Usage" sap:VirtualizedContainerService.HintSize="801.333333333333,2481.33333333333" sap2010:WorkflowViewState.IdRef="Sequence_334">
    <Sequence.Variables>
      <Variable x:TypeArguments="x:String" Name="serviceCode" />
      <Variable x:TypeArguments="x:String" Name="expenseType" />
      <Variable x:TypeArguments="x:String" Name="expensePercent" />
      <Variable x:TypeArguments="x:String" Name="country" />
      <Variable x:TypeArguments="x:String" Name="quantityITC" />
      <Variable x:TypeArguments="x:String" Name="currency" />
      <Variable x:TypeArguments="x:String" Name="ITCCost" />
      <Variable x:TypeArguments="x:String" Name="ITCBillable" />
      <Variable x:TypeArguments="x:String" Name="hoursSDC" />
      <Variable x:TypeArguments="x:String" Name="customRate" />
      <Variable x:TypeArguments="x:String" Name="SDC" />
      <Variable x:TypeArguments="x:String" Name="productName" />
      <Variable x:TypeArguments="x:String" Name="quantityUsage" />
      <Variable x:TypeArguments="x:String" Name="billable" />
      <Variable x:TypeArguments="x:Boolean" Name="inputCompleted" />
    </Sequence.Variables>
    <sap:WorkflowViewStateService.ViewState>
      <scg:Dictionary x:TypeArguments="x:String, x:Object">
        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
        <x:Boolean x:Key="IsAnnotationDocked">True</x:Boolean>
      </scg:Dictionary>
    </sap:WorkflowViewStateService.ViewState>
    <ui:MultipleAssign DisplayName="Read input file data to strings " sap:VirtualizedContainerService.HintSize="759.333333333333,496" sap2010:WorkflowViewState.IdRef="MultipleAssign_1">
      <ui:MultipleAssign.AssignOperations>
        <scg:List x:TypeArguments="ui:AssignOperation" Capacity="16">
          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_1">
            <ui:AssignOperation.To>
              <OutArgument x:TypeArguments="x:String">[serviceCode]</OutArgument>
            </ui:AssignOperation.To>
            <ui:AssignOperation.Value>
              <InArgument x:TypeArguments="x:String">[in_Row("Service Code").ToString]</InArgument>
            </ui:AssignOperation.Value>
          </ui:AssignOperation>
          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_2">
            <ui:AssignOperation.To>
              <OutArgument x:TypeArguments="x:String">[expenseType]</OutArgument>
            </ui:AssignOperation.To>
            <ui:AssignOperation.Value>
              <InArgument x:TypeArguments="x:String">[in_Row("Expense Type").ToString]</InArgument>
            </ui:AssignOperation.Value>
          </ui:AssignOperation>
          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_3">
            <ui:AssignOperation.To>
              <OutArgument x:TypeArguments="x:String">[expensePercent]</OutArgument>
            </ui:AssignOperation.To>
            <ui:AssignOperation.Value>
              <InArgument x:TypeArguments="x:String">[in_Row("% of Net Revenue").ToString]</InArgument>
            </ui:AssignOperation.Value>
          </ui:AssignOperation>
          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_4">
            <ui:AssignOperation.To>
              <OutArgument x:TypeArguments="x:String">[country]</OutArgument>
            </ui:AssignOperation.To>
            <ui:AssignOperation.Value>
              <InArgument x:TypeArguments="x:String">[in_Row("Country").ToString]</InArgument>
            </ui:AssignOperation.Value>
          </ui:AssignOperation>
          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_5">
            <ui:AssignOperation.To>
              <OutArgument x:TypeArguments="x:String">[quantityITC]</OutArgument>
            </ui:AssignOperation.To>
            <ui:AssignOperation.Value>
              <InArgument x:TypeArguments="x:String">[in_Row("Quantity (ITC)").ToString]</InArgument>
            </ui:AssignOperation.Value>
          </ui:AssignOperation>
          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_6">
            <ui:AssignOperation.To>
              <OutArgument x:TypeArguments="x:String">[currency]</OutArgument>
            </ui:AssignOperation.To>
            <ui:AssignOperation.Value>
              <InArgument x:TypeArguments="x:String">[in_Row("Invoice Currency").ToString]</InArgument>
            </ui:AssignOperation.Value>
          </ui:AssignOperation>
          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_7">
            <ui:AssignOperation.To>
              <OutArgument x:TypeArguments="x:String">[ITCCost]</OutArgument>
            </ui:AssignOperation.To>
            <ui:AssignOperation.Value>
              <InArgument x:TypeArguments="x:String">[in_Row("ITC Cost (Invoice Currency)").ToString]</InArgument>
            </ui:AssignOperation.Value>
          </ui:AssignOperation>
          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_8">
            <ui:AssignOperation.To>
              <OutArgument x:TypeArguments="x:String">[ITCBillable]</OutArgument>
            </ui:AssignOperation.To>
            <ui:AssignOperation.Value>
              <InArgument x:TypeArguments="x:String">[in_Row("ITC Billable").ToString]</InArgument>
            </ui:AssignOperation.Value>
          </ui:AssignOperation>
          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_9">
            <ui:AssignOperation.To>
              <OutArgument x:TypeArguments="x:String">[hoursSDC]</OutArgument>
            </ui:AssignOperation.To>
            <ui:AssignOperation.Value>
              <InArgument x:TypeArguments="x:String">[in_Row("Hours").ToString]</InArgument>
            </ui:AssignOperation.Value>
          </ui:AssignOperation>
          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_10">
            <ui:AssignOperation.To>
              <OutArgument x:TypeArguments="x:String">[customRate]</OutArgument>
            </ui:AssignOperation.To>
            <ui:AssignOperation.Value>
              <InArgument x:TypeArguments="x:String">[in_Row("Custom Rate").ToString]</InArgument>
            </ui:AssignOperation.Value>
          </ui:AssignOperation>
          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_11">
            <ui:AssignOperation.To>
              <OutArgument x:TypeArguments="x:String">[SDC]</OutArgument>
            </ui:AssignOperation.To>
            <ui:AssignOperation.Value>
              <InArgument x:TypeArguments="x:String">[in_Row("SDC Name").ToString]</InArgument>
            </ui:AssignOperation.Value>
          </ui:AssignOperation>
          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_12">
            <ui:AssignOperation.To>
              <OutArgument x:TypeArguments="x:String">[productName]</OutArgument>
            </ui:AssignOperation.To>
            <ui:AssignOperation.Value>
              <InArgument x:TypeArguments="x:String">[in_Row("Product Name").ToString]</InArgument>
            </ui:AssignOperation.Value>
          </ui:AssignOperation>
          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_13">
            <ui:AssignOperation.To>
              <OutArgument x:TypeArguments="x:String">[quantityUsage]</OutArgument>
            </ui:AssignOperation.To>
            <ui:AssignOperation.Value>
              <InArgument x:TypeArguments="x:String">[in_Row("Quantity (Usage)").ToString]</InArgument>
            </ui:AssignOperation.Value>
          </ui:AssignOperation>
          <ui:AssignOperation sap2010:WorkflowViewState.IdRef="AssignOperation_14">
            <ui:AssignOperation.To>
              <OutArgument x:TypeArguments="x:String">[billable]</OutArgument>
            </ui:AssignOperation.To>
            <ui:AssignOperation.Value>
              <InArgument x:TypeArguments="x:String">[in_Row("Billable").ToString]</InArgument>
            </ui:AssignOperation.Value>
          </ui:AssignOperation>
        </scg:List>
      </ui:MultipleAssign.AssignOperations>
    </ui:MultipleAssign>
    <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Check if inputCompleted (if any fields set as &quot;not appliacable&quot;)" sap:VirtualizedContainerService.HintSize="759.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_290" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_Util_Components\Salesforce_JPP_Plannning_Validate_Input.xaml">
      <ui:InvokeWorkflowFile.Arguments>
        <InArgument x:TypeArguments="s:String[]" x:Key="in_InputFieldsToValidate">
          <mva:VisualBasicValue x:TypeArguments="s:String[]" ExpressionText="{}{expenseType, expensePercent}" />
        </InArgument>
        <OutArgument x:TypeArguments="x:Boolean" x:Key="out_inputCompleted">
          <mva:VisualBasicReference x:TypeArguments="x:Boolean" ExpressionText="inputCompleted" />
        </OutArgument>
      </ui:InvokeWorkflowFile.Arguments>
    </ui:InvokeWorkflowFile>
    <If Condition="[inputCompleted]" DisplayName="If fields for Expenses tab completed in input file, complete Expenses tab" sap:VirtualizedContainerService.HintSize="759.333333333333,268" sap2010:WorkflowViewState.IdRef="If_1">
      <If.Then>
        <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Complete Expense tab (only 1 row)" sap:VirtualizedContainerService.HintSize="379.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_282" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_Expense.xaml">
          <ui:InvokeWorkflowFile.Arguments>
            <InArgument x:TypeArguments="x:Int32" x:Key="in_currentTableRowIndex">
              <Literal x:TypeArguments="x:Int32" Value="2" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_serviceCodeName">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="serviceCode" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_expenseType">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="expenseType" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_expensePercent">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="(Convert.ToDouble(expensePercent) *100).ToString" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_quantity">
              <Literal x:TypeArguments="x:String" Value="" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_costPerUnit">
              <Literal x:TypeArguments="x:String" Value="" />
            </InArgument>
          </ui:InvokeWorkflowFile.Arguments>
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              <x:Boolean x:Key="IsPinned">False</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
        </ui:InvokeWorkflowFile>
      </If.Then>
      <If.Else>
        <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,94.6666666666667" sap2010:WorkflowViewState.IdRef="LogMessage_1" Level="Info" Message="[&quot;Expenses details not provied for Service Code: &quot; + serviceCode]" />
      </If.Else>
    </If>
    <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Check if inputCompleted (if any fields set as &quot;not appliacable&quot;)" sap:VirtualizedContainerService.HintSize="759.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_291" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_Util_Components\Salesforce_JPP_Plannning_Validate_Input.xaml">
      <ui:InvokeWorkflowFile.Arguments>
        <InArgument x:TypeArguments="s:String[]" x:Key="in_InputFieldsToValidate">
          <mva:VisualBasicValue x:TypeArguments="s:String[]" ExpressionText="{}{country, quantityITC, currency, ITCBillable, ITCCost}" />
        </InArgument>
        <OutArgument x:TypeArguments="x:Boolean" x:Key="out_inputCompleted">
          <mva:VisualBasicReference x:TypeArguments="x:Boolean" ExpressionText="inputCompleted" />
        </OutArgument>
      </ui:InvokeWorkflowFile.Arguments>
    </ui:InvokeWorkflowFile>
    <If Condition="[inputCompleted]" DisplayName="If fields for ITC tab completed in input file, complete ITC tab" sap:VirtualizedContainerService.HintSize="759.333333333333,268" sap2010:WorkflowViewState.IdRef="If_2">
      <If.Then>
        <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Complete ITC tab (only 1 row)" sap:VirtualizedContainerService.HintSize="379.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_284" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_ITC.xaml">
          <ui:InvokeWorkflowFile.Arguments>
            <InArgument x:TypeArguments="x:Int32" x:Key="in_currentTableRowIndex">
              <Literal x:TypeArguments="x:Int32" Value="2" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_country">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="country" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_serviceCodeName">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="serviceCode" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_hours">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="quantityITC" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_currency">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="currency" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_ITCCost">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="ITCCost" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_ITCBillable">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="ITCBillable" />
            </InArgument>
          </ui:InvokeWorkflowFile.Arguments>
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              <x:Boolean x:Key="IsPinned">False</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
        </ui:InvokeWorkflowFile>
      </If.Then>
      <If.Else>
        <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,94.6666666666667" sap2010:WorkflowViewState.IdRef="LogMessage_2" Level="Info" Message="[&quot;ITC details not provied for Service Code: &quot; + serviceCode]" />
      </If.Else>
    </If>
    <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Check if inputCompleted (if any fields set as &quot;not appliacable&quot;)" sap:VirtualizedContainerService.HintSize="759.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_292" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_Util_Components\Salesforce_JPP_Plannning_Validate_Input.xaml">
      <ui:InvokeWorkflowFile.Arguments>
        <InArgument x:TypeArguments="s:String[]" x:Key="in_InputFieldsToValidate">
          <mva:VisualBasicValue x:TypeArguments="s:String[]" ExpressionText="{}{SDC, hoursSDC, customRate}" />
        </InArgument>
        <OutArgument x:TypeArguments="x:Boolean" x:Key="out_inputCompleted">
          <mva:VisualBasicReference x:TypeArguments="x:Boolean" ExpressionText="inputCompleted" />
        </OutArgument>
      </ui:InvokeWorkflowFile.Arguments>
    </ui:InvokeWorkflowFile>
    <If Condition="[inputCompleted]" DisplayName="If fields for SDC tab completed in input file, complete ITC tab" sap:VirtualizedContainerService.HintSize="759.333333333333,268" sap2010:WorkflowViewState.IdRef="If_3">
      <If.Then>
        <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Complete SDC tab (only 1 row)" sap:VirtualizedContainerService.HintSize="379.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_286" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_SDC.xaml">
          <ui:InvokeWorkflowFile.Arguments>
            <InArgument x:TypeArguments="x:Int32" x:Key="in_currentTableRowIndex">
              <Literal x:TypeArguments="x:Int32" Value="2" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_serviceCodeName">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="serviceCode" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_hours">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="hoursSDC" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_customRate">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="customRate" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_SDC">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="SDC" />
            </InArgument>
          </ui:InvokeWorkflowFile.Arguments>
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
              <x:Boolean x:Key="IsPinned">False</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
        </ui:InvokeWorkflowFile>
      </If.Then>
      <If.Else>
        <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,94.6666666666667" sap2010:WorkflowViewState.IdRef="LogMessage_3" Level="Info" Message="[&quot;SDC details not provied for Service Code: &quot; + serviceCode]" />
      </If.Else>
    </If>
    <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Check if inputCompleted (if any fields set as &quot;not appliacable&quot;)" sap:VirtualizedContainerService.HintSize="759.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_293" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_Util_Components\Salesforce_JPP_Plannning_Validate_Input.xaml">
      <ui:InvokeWorkflowFile.Arguments>
        <InArgument x:TypeArguments="s:String[]" x:Key="in_InputFieldsToValidate">
          <mva:VisualBasicValue x:TypeArguments="s:String[]" ExpressionText="{}{productName, quantityUsage}" />
        </InArgument>
        <OutArgument x:TypeArguments="x:Boolean" x:Key="out_inputCompleted">
          <mva:VisualBasicReference x:TypeArguments="x:Boolean" ExpressionText="inputCompleted" />
        </OutArgument>
      </ui:InvokeWorkflowFile.Arguments>
    </ui:InvokeWorkflowFile>
    <If Condition="[inputCompleted]" DisplayName="If fields for Usage tab completed in input file, complete ITC tab" sap:VirtualizedContainerService.HintSize="759.333333333333,268" sap2010:WorkflowViewState.IdRef="If_4">
      <If.Then>
        <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Complete Usage tab (only 1 row)" sap:VirtualizedContainerService.HintSize="379.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_288" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_Usage.xaml">
          <ui:InvokeWorkflowFile.Arguments>
            <InArgument x:TypeArguments="x:Int32" x:Key="in_currentTableRowIndex">
              <Literal x:TypeArguments="x:Int32" Value="2" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_serviceCodeName">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="serviceCode" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_productName">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="productName" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_quantity">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="quantityUsage" />
            </InArgument>
            <InArgument x:TypeArguments="x:String" x:Key="in_billable">
              <mva:VisualBasicValue x:TypeArguments="x:String" ExpressionText="billable" />
            </InArgument>
          </ui:InvokeWorkflowFile.Arguments>
        </ui:InvokeWorkflowFile>
      </If.Then>
      <If.Else>
        <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,94.6666666666667" sap2010:WorkflowViewState.IdRef="LogMessage_4" Level="Info" Message="[&quot;Usage details not provied for Service Code: &quot; + serviceCode]" />
      </If.Else>
    </If>
  </Sequence>
</Activity>